Subject: bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: João Távora <[email-masked]>
Date: Wed, 30 Jun 2021 16:58:53 +0100

On Wed, Jun 30, 2021 at 4:55 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Wed, 30 Jun 2021 15:54:39 +0100
> > Cc: Stefan Monnier <[email-masked]>, [email-masked]
> >
> > > Lisp mode is the major mode for editing programs written in
> > > general-purpose Lisp dialects, such as Common Lisp.
> >
> > But that is false :-)  Scheme, Clojure and Phil's Fennel are two
> > "general purpose Lisp dialects" that are not at all well suited
> > to be edited with lisp-mode in Emacs.
>
> Would it be okay to mention those 3 exceptions explicitly?

I guess, but there are probably many more Lisp dialects
out there.  It's just more economical to state it the other way
round, right? But with the change to the lisp-mode docstring
I think we're already in a better place.

(As you may guess, I still don't see what the problem in
saying "for editing Common Lisp and languages directly related
to it" is.  It's short  and accurate.

Though even shorter and more accurate, as Stefan pointed out is
"for editing Common Lisp".)

João Távora